Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.crawler
Interface LovInfo

public interface LovInfo

LovInfo is an interface used by both the crawler and a data source agent to set and retrieve attribute list of values (LOV) from the data source.

Field Summary
`static int` | `ATTR_DATE` Date attribute data types
`static int` | `ATTR_NUMBER` Number attribute data types
`static int` | `ATTR_STRING` String attribute data types

Method Summary
`void` | `addAttributeValue(java.lang.String name, java.math.BigDecimal value)` Add an attribute value whose type is number
`void` | `addAttributeValue(java.lang.String name, java.math.BigDecimal value, java.lang.String displayName, java.lang.String langCode)` Add an attribute value and display name whose type is number
`void` | `addAttributeValue(java.lang.String name, java.sql.Date value)` Add an attribute value whose type is java.sql.Date
`void` | `addAttributeValue(java.lang.String name, java.sql.Date value, java.lang.String displayName, java.lang.String langCode)` Add an attribute value and display name whose type is java.sql.Date
`void` | `addAttributeValue(java.lang.String name, java.lang.String value)` Add an attribute value whose type is string
`void` | `addAttributeValue(java.lang.String name, java.lang.String value, java.lang.String displayName, java.lang.String langCode)` Add an attribute value and display name whose type is String
`void` | `clearData()` Clear all LOV data
`java.util.Enumeration` | `getAttributeLov(int attrIndex)` Get the list of values for a specified attribute
`java.lang.String` | `getAttributeName(int attrIndex)` Get the name of the specified attribute
`int` | `getAttributeType(int attrIndex)` Get the data type of the specified attribute
`java.util.Enumeration` | `getDisplayNames(int attrIndex, int langIndex)` Get the list of display names for a specified attribute
`java.lang.String` | `getLangCode(int attrIndex, int langIndex)` Get the language-country code string for a display name
`int` | `getNumAttributes()` Get number of attributes
`int` | `getNumAttrValues()` Get number of attribute values
`int` | `getNumDisplayNames(int attrIndex, int langIndex)` Get number of display names of an attribute for a language
`int` | `getNumLanguages(int attrIndex)` Get number of languages used for the display name of an attribute

Field Detail

### ATTR_STRING

    public static final int ATTR_STRING

  String attribute data types
  See Also:
    Constant Field Values

### ATTR_NUMBER

    public static final int ATTR_NUMBER

  Number attribute data types
  See Also:
    Constant Field Values

### ATTR_DATE

    public static final int ATTR_DATE

  Date attribute data types
  See Also:
    Constant Field Values

Method Detail

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.math.BigDecimal value)

  Add an attribute value whose type is number
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.sql.Date value)

  Add an attribute value whose type is java.sql.Date
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.lang.String value)

  Add an attribute value whose type is string
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.math.BigDecimal value,
                                  java.lang.String displayName,
                                  java.lang.String langCode)

  Add an attribute value and display name whose type is number
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute
    `displayName` - the display name of the attribute
    `langCode` - ISO 639-1 language code and ISO3166 country code, for example "en-US"

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.sql.Date value,
                                  java.lang.String displayName,
                                  java.lang.String langCode)

  Add an attribute value and display name whose type is java.sql.Date
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute
    `displayName` - the display name of the attribute
    `langCode` - ISO 639-1 language code and ISO3166 country code, for example "en-US"

### addAttributeValue

    public void addAttributeValue(java.lang.String name,
                                  java.lang.String value,
                                  java.lang.String displayName,
                                  java.lang.String langCode)

  Add an attribute value and display name whose type is String
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute
    `displayName` - the display name of the attribute
    `langCode` - ISO 639-1 language code and ISO3166 country code, for example "en-US"

### getNumAttributes

    public int getNumAttributes()

  Get number of attributes
  Returns:
    number of attributes stored in this object

### getNumAttrValues

    public int getNumAttrValues()

  Get number of attribute values
  Returns:
    number of attribute values stored in this object

### getAttributeName

    public java.lang.String getAttributeName(int attrIndex)

  Get the name of the specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    the name of the specified attribute

### getAttributeType

    public int getAttributeType(int attrIndex)

  Get the data type of the specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    the data type of the specified attribute: ATTR_INT, ATTR_STR, or ATTR_DATE.

### getAttributeLov

    public java.util.Enumeration getAttributeLov(int attrIndex)

  Get the list of values for a specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    an enumeration of objects containing attribute values

### getNumLanguages

    public int getNumLanguages(int attrIndex)

  Get number of languages used for the display name of an attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    number of languages

### getLangCode

    public java.lang.String getLangCode(int attrIndex,
                                        int langIndex)

  Get the language-country code string for a display name
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
    `langIndex` - 0 based index indicating which language
  Returns:
    language code string

### getNumDisplayNames

    public int getNumDisplayNames(int attrIndex,
                                  int langIndex)

  Get number of display names of an attribute for a language
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
    `langIndex` - 0 based index indicating which language
  Returns:
    number of display names

### getDisplayNames

    public java.util.Enumeration getDisplayNames(int attrIndex,
                                                 int langIndex)

  Get the list of display names for a specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
    `langIndex` - 0 based index indicating which language
  Returns:
    an enumeration of objects containing display names

### clearData

    public void clearData()

  Clear all LOV data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.